<?php
namespace App\Form\Input;

/**
 * Selector for the offer form of payment.
 * @author Lucian Sirbu
 */
class Select_OfferFormOfPayment extends \Engine\Form\Input\Select
{
	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{
		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$return = [];
		foreach($CFG['offers']['formOfPaymentList'] as $fop) {
			$return[$fop] = $_LANG['offers']['formOfPayment'][$fop];
		}

		return $return;
	}
}
